// package_mine/pages/myId/index.js
import {getIdApprove} from '../../../api/mine.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        records: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.getApproveRecord()
    },
    getApproveRecord() {
        const openid = wx.getStorageSync('openid')
        getIdApprove({openid}).then(res=> {
            if(res.code === 0) {
                this.setData({
                    records: res.data
                })
            }
        })
    },

    // 重新申请
    reApprove() {
        wx.navigateTo({
          url: '/package_mine/pages/IdList/index',
        })
    },
    // 返回我的页面
    returnList() {
        wx.switchTab({
          url: '/pages/mine/index',
        })
    }
})